UiPath Documentation
ixp
latest
false
Importante :
La localización de contenidos recién publicados puede tardar entre una y dos semanas en estar disponible.
UiPath logo, featuring letters U and I in white

Guía del usuario de Communications Mining

Última actualización 1 de abr. de 2026

Obtener comentarios de una transmisión (heredado)

docs image

/api/v1/datasets/<project>/<dataset_name>/streams/<stream_name>/fetch
/api/v1/datasets/<project>/<dataset_name>/streams/<stream_name>/fetch

Permisos necesarios: Consumir transmisiones, Ver etiquetas, Ver orígenes.

  • Bash
    curl -X POST 'https://<my_api_endpoint>/api/v1/datasets/project1/collateral/streams/dispute/fetch' \
        -H "Authorization: Bearer $REINFER_TOKEN" \
        -H "Content-Type: application/json" \
        -d '{
      "size": 8
    }'
    curl -X POST 'https://<my_api_endpoint>/api/v1/datasets/project1/collateral/streams/dispute/fetch' \
        -H "Authorization: Bearer $REINFER_TOKEN" \
        -H "Content-Type: application/json" \
        -d '{
      "size": 8
    }'
    
  • Nodo
    const request = require("request");
    
    request.post(
      {
        url: "https://<my_api_endpoint>/api/v1/datasets/project1/collateral/streams/dispute/fetch",
        headers: {
          Authorization: "Bearer " + process.env.REINFER_TOKEN,
        },
        json: true,
        body: { size: 8 },
      },
      function (error, response, json) {
        // digest response
        console.log(JSON.stringify(json, null, 2));
      }
    );
    const request = require("request");
    
    request.post(
      {
        url: "https://<my_api_endpoint>/api/v1/datasets/project1/collateral/streams/dispute/fetch",
        headers: {
          Authorization: "Bearer " + process.env.REINFER_TOKEN,
        },
        json: true,
        body: { size: 8 },
      },
      function (error, response, json) {
        // digest response
        console.log(JSON.stringify(json, null, 2));
      }
    );
    
  • Python
    import json
    import os
    
    import requests
    
    response = requests.post(
        "https://<my_api_endpoint>/api/v1/datasets/project1/collateral/streams/dispute/fetch",
        headers={"Authorization": "Bearer " + os.environ["REINFER_TOKEN"]},
        json={"size": 8},
    )
    
    print(json.dumps(response.json(), indent=2, sort_keys=True))
    import json
    import os
    
    import requests
    
    response = requests.post(
        "https://<my_api_endpoint>/api/v1/datasets/project1/collateral/streams/dispute/fetch",
        headers={"Authorization": "Bearer " + os.environ["REINFER_TOKEN"]},
        json={"size": 8},
    )
    
    print(json.dumps(response.json(), indent=2, sort_keys=True))
    
  • Respuesta
    {
      "filtered": 6,
      "is_end_sequence": false,
      "results": [
        {
          "comment": {
            "context": "1",
            "created_at": "2018-10-15T15:39:51.815000Z",
            "id": "0123456789abcdef",
            "last_modified": "2018-10-15T15:39:51.815000Z",
            "messages": [
              {
                "body": {
                  "text": "Hi Bob,\n\nCould you send me today's figures?"
                },
                "from": "alice@company.com",
                "sent_at": "2011-12-11T11:02:03.000000+00:00",
                "signature": {
                  "text": "Thanks,\nAlice"
                },
                "subject": {
                  "text": "Today's figures"
                },
                "to": ["bob@organisation.org"]
              }
            ],
            "source_id": "18ba5ce699f8da1f",
            "text_format": "plain",
            "thread_id": "3c314542414538353242393446393",
            "timestamp": "2011-12-11T01:02:03.000000+00:00",
            "uid": "18ba5ce699f8da1f.0123456789abcdef",
            "user_properties": {
              "number:Participants": 2,
              "number:Position in Thread": 1,
              "number:Recipients": 1,
              "string:Folder": "Sent (/ Sent)",
              "string:Has Signature": "Yes",
              "string:Message ID": "<abcdef@abc.company.com>",
              "string:Sender": "alice@company.com",
              "string:Sender Domain": "company.com",
              "string:Thread": "<abcdef@abc.company.com>"
            }
          },
          "entities": [],
          "labels": [],
          "sequence_id": "qs8QcHIBAACuYzDeit-pwQdWGYGQImdy"
        },
        {
          "comment": {
            "context": "1",
            "created_at": "2018-10-15T18:39:51.815000Z",
            "id": "abcdef0123456789",
            "last_modified": "2018-10-15T18:39:51.815000Z",
            "messages": [
              {
                "body": {
                  "text": "Alice,\n\nHere are the figures for today."
                },
                "from": "bob@organisation.org",
                "sent_at": "2011-12-11T11:02:03.000000+00:00",
                "signature": {
                  "text": "Regards,\nBob"
                },
                "subject": {
                  "text": "RE: Today's figures"
                },
                "to": ["alice@company.com"]
              }
            ],
            "source_id": "18ba5ce699f8da1f",
            "text_format": "plain",
            "thread_id": "3c314542414538353242393446393",
            "timestamp": "2011-12-11T02:02:03.000000+00:00",
            "uid": "18ba5ce699f8da1f.abcdef0123456789",
            "user_properties": {
              "number:Participants": 3,
              "number:Position in Thread": 2,
              "number:Recipients": 2,
              "string:Folder": "Inbox (/ Inbox)",
              "string:Has Signature": "No",
              "string:Message ID": "def@xyz.project.com",
              "string:Sender": "bob@organisation.org",
              "string:Sender Domain": "organisation.org",
              "string:Thread": "<abcdef@abc.company.com>"
            }
          },
          "entities": [],
          "labels": [
            {
              "name": ["Some Top-Level Label"],
              "probability": 0.8374786376953125
            },
            {
              "name": ["Another Top-Level Label", "Child Label"],
              "probability": 0.6164003014564514
            }
          ],
          "sequence_id": "qs8QcHIBAADJ1p3W2FtmBB3QiOJsCJlR"
        }
      ],
      "sequence_id": "qs8QcHIBAADJ1p3W2FtmBB3QiOJsCJlR",
      "status": "ok"
    }
    {
      "filtered": 6,
      "is_end_sequence": false,
      "results": [
        {
          "comment": {
            "context": "1",
            "created_at": "2018-10-15T15:39:51.815000Z",
            "id": "0123456789abcdef",
            "last_modified": "2018-10-15T15:39:51.815000Z",
            "messages": [
              {
                "body": {
                  "text": "Hi Bob,\n\nCould you send me today's figures?"
                },
                "from": "alice@company.com",
                "sent_at": "2011-12-11T11:02:03.000000+00:00",
                "signature": {
                  "text": "Thanks,\nAlice"
                },
                "subject": {
                  "text": "Today's figures"
                },
                "to": ["bob@organisation.org"]
              }
            ],
            "source_id": "18ba5ce699f8da1f",
            "text_format": "plain",
            "thread_id": "3c314542414538353242393446393",
            "timestamp": "2011-12-11T01:02:03.000000+00:00",
            "uid": "18ba5ce699f8da1f.0123456789abcdef",
            "user_properties": {
              "number:Participants": 2,
              "number:Position in Thread": 1,
              "number:Recipients": 1,
              "string:Folder": "Sent (/ Sent)",
              "string:Has Signature": "Yes",
              "string:Message ID": "<abcdef@abc.company.com>",
              "string:Sender": "alice@company.com",
              "string:Sender Domain": "company.com",
              "string:Thread": "<abcdef@abc.company.com>"
            }
          },
          "entities": [],
          "labels": [],
          "sequence_id": "qs8QcHIBAACuYzDeit-pwQdWGYGQImdy"
        },
        {
          "comment": {
            "context": "1",
            "created_at": "2018-10-15T18:39:51.815000Z",
            "id": "abcdef0123456789",
            "last_modified": "2018-10-15T18:39:51.815000Z",
            "messages": [
              {
                "body": {
                  "text": "Alice,\n\nHere are the figures for today."
                },
                "from": "bob@organisation.org",
                "sent_at": "2011-12-11T11:02:03.000000+00:00",
                "signature": {
                  "text": "Regards,\nBob"
                },
                "subject": {
                  "text": "RE: Today's figures"
                },
                "to": ["alice@company.com"]
              }
            ],
            "source_id": "18ba5ce699f8da1f",
            "text_format": "plain",
            "thread_id": "3c314542414538353242393446393",
            "timestamp": "2011-12-11T02:02:03.000000+00:00",
            "uid": "18ba5ce699f8da1f.abcdef0123456789",
            "user_properties": {
              "number:Participants": 3,
              "number:Position in Thread": 2,
              "number:Recipients": 2,
              "string:Folder": "Inbox (/ Inbox)",
              "string:Has Signature": "No",
              "string:Message ID": "def@xyz.project.com",
              "string:Sender": "bob@organisation.org",
              "string:Sender Domain": "organisation.org",
              "string:Thread": "<abcdef@abc.company.com>"
            }
          },
          "entities": [],
          "labels": [
            {
              "name": ["Some Top-Level Label"],
              "probability": 0.8374786376953125
            },
            {
              "name": ["Another Top-Level Label", "Child Label"],
              "probability": 0.6164003014564514
            }
          ],
          "sequence_id": "qs8QcHIBAADJ1p3W2FtmBB3QiOJsCJlR"
        }
      ],
      "sequence_id": "qs8QcHIBAADJ1p3W2FtmBB3QiOJsCJlR",
      "status": "ok"
    }
    

Una vez creada una transmisión, se puede consultar para obtener comentarios y sus etiquetas previstas y campos generales. A continuación se muestran algunos aspectos importantes a tener en cuenta al obtener comentarios de una transmisión.

¿Te ha resultado útil esta página?

Conectar

¿Necesita ayuda? Soporte

¿Quiere aprender? UiPath Academy

¿Tiene alguna pregunta? Foro de UiPath

Manténgase actualizado